<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Synthetic Aperture Radar Thesis | Interactive Map (Dark) </title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.5 -->
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="dist/css/skins/_all-skins.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="plugins/iCheck/flat/blue.css">
    <!-- Morris chart -->
    <link rel="stylesheet" href="plugins/morris/morris.css">
    <!-- jvectormap -->
    <link rel="stylesheet" href="plugins/jvectormap/jquery-jvectormap-1.2.2.css">
    <!-- Date Picker -->
    <link rel="stylesheet" href="plugins/datepicker/datepicker3.css">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker-bs3.css">
    <!-- bootstrap wysihtml5 - text editor -->
    <link rel="stylesheet" href="plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css">

    <link rel="shortcut icon" type="image/x-icon" href="favicon.ico"/>


    <!-- FROM HERE!!!!!!!!!!!!!!!!!!!!!!!!!!!!! -->
    <!-- MAPPING RELATED -->
    <link href='https://api.tiles.mapbox.com/mapbox.js/plugins/leaflet-markercluster/v0.4.0/MarkerCluster.css' rel='stylesheet' />
    <link href='https://api.tiles.mapbox.com/mapbox.js/plugins/leaflet-markercluster/v0.4.0/MarkerCluster.Default.css' rel='stylesheet' />
    <link href='https://api.mapbox.com/mapbox.js/v2.3.0/mapbox.css' rel='stylesheet' />
    <link href='dist/css/StyledLayerControl/styledLayerControl.css' rel='stylesheet' />
    <link href='dist/css/popup.css' rel='stylesheet' />

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body class="hold-transition skin-blue sidebar-mini">
    <div class="wrapper">

      <header class="main-header">
        <!-- Logo -->
        <a href="index.html" class="logo">
          <!-- mini logo for sidebar mini 50x50 pixels -->
          <span class="logo-mini"><b>SAR</b></span>
          <!-- logo for regular state and mobile devices -->
          <span class="logo-lg"><b>SAR</b>ships</span>
        </a>
        <!-- Header Navbar: style can be found in header.less -->
        <nav class="navbar navbar-static-top" role="navigation">
          <!-- Sidebar toggle button-->
          <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
            <span class="sr-only">Toggle navigation</span>
          </a>
          <div class="navbar-custom-menu">
            <ul class="nav navbar-nav">
              <!-- Messages: style can be found in dropdown.less-->
              <li class="dropdown messages-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <i class="fa fa-envelope-o"></i>
                  <span class="label label-success">4</span>
                </a>
                <ul class="dropdown-menu">
                  <li class="header">You have 4 messages</li>
                  <li>
                    <!-- inner menu: contains the actual data -->
                    <ul class="menu">
                      <li><!-- start message -->
                        <a href="#">
                          <div class="pull-left">
                            <img src="dist/img/user2-160x160.jpg" class="img-circle" alt="User Image">
                          </div>
                          <h4>
                            Lizwe Mdakane
                            <small><i class="fa fa-clock-o"></i> 5 mins</small>
                          </h4>
                          <p>Have you taken a look at that new image?</p>
                        </a>
                      </li><!-- end message -->
                      <li>
                        <a href="#">
                          <div class="pull-left">
                            <img src="dist/img/user3-128x128.jpg" class="img-circle" alt="User Image">
                          </div>
                          <h4>
                            Rory Meyer
                            <small><i class="fa fa-clock-o"></i> 2 hours</small>
                          </h4>
                          <p>Rasberry Pi News!</p>
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <div class="pull-left">
                            <img src="dist/img/user4-128x128.jpg" class="img-circle" alt="User Image">
                          </div>
                          <h4>
                            Dr. Waldo Kleynhans
                            <small><i class="fa fa-clock-o"></i> Today</small>
                          </h4>
                          <p>Updates to thesis.</p>
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <div class="pull-left">
                            <img src="dist/img/user5-128x128.png" class="img-circle" alt="User Image">
                          </div>
                          <h4>
                            Vincent Seotlo
                            <small><i class="fa fa-clock-o"></i> Yesterday</small>
                          </h4>
                          <p>Updates to API interface</p>
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <div class="pull-left">
                            <img src="dist/img/user6-128x128.jpg" class="img-circle" alt="User Image">
                          </div>
                          <h4>
                            Benjamin Lebona
                            <small><i class="fa fa-clock-o"></i> 2 days</small>
                          </h4>
                          <p>Optical vs. SAR</p>
                        </a>
                      </li>
                    </ul>
                  </li>
                  <li class="footer"><a href="#">See All Messages</a></li>
                </ul>
              </li>
              <!-- Notifications: style can be found in dropdown.less -->
<!--               <li class="dropdown notifications-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <i class="fa fa-bell-o"></i>
                  <span class="label label-warning">10</span>
                </a>
                <ul class="dropdown-menu">
                  <li class="header">You have 10 notifications</li>
                  <li>
                    <ul class="menu">
                      <li>
                        <a href="#">
                          <i class="fa fa-users text-aqua"></i> 5 new members joined today
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <i class="fa fa-warning text-yellow"></i> Very long description here that may not fit into the page and may cause design problems
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <i class="fa fa-users text-red"></i> 5 new members joined
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <i class="fa fa-shopping-cart text-green"></i> 25 sales made
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <i class="fa fa-user text-red"></i> You changed your username
                        </a>
                      </li>
                    </ul>
                  </li>
                  <li class="footer"><a href="#">View all</a></li>
                </ul>
              </li> -->
              <!-- Tasks: style can be found in dropdown.less -->
              <li class="dropdown tasks-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <i class="fa fa-flag-o"></i>
                  <span class="label label-danger">4</span>
                </a>
                <ul class="dropdown-menu">
                  <li class="header">You have 4 current tasks</li>
                  <li>
                    <!-- inner menu: contains the actual data -->
                    <ul class="menu">
                      <li><!-- Task item -->
                        <a href="#">
                          <h3>
                            Complete SAR Data Summary Paper
                            <small class="pull-right">80%</small>
                          </h3>
                          <div class="progress xs">
                            <div class="progress-bar progress-bar-aqua" style="width: 80%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                              <span class="sr-only">80% Complete</span>
                            </div>
                          </div>
                        </a>
                      </li><!-- end task item -->
                      <li><!-- Task item -->
                        <a href="#">
                          <h3>
                            Update and Submit Haar-like Paper
                            <small class="pull-right">90%</small>
                          </h3>
                          <div class="progress xs">
                            <div class="progress-bar progress-bar-green" style="width: 90%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                              <span class="sr-only">90% Complete</span>
                            </div>
                          </div>
                        </a>
                      </li><!-- end task item -->
                      <li><!-- Task item -->
                        <a href="#">
                          <h3>
                            Complete SAR Data Site
                            <small class="pull-right">70%</small>
                          </h3>
                          <div class="progress xs">
                            <div class="progress-bar progress-bar-red" style="width: 70%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                              <span class="sr-only">70% Complete</span>
                            </div>
                          </div>
                        </a>
                      </li><!-- end task item -->
                      <li><!-- Task item -->
                        <a href="#">
                          <h3>
                            Write Up Thesis
                            <small class="pull-right">50%</small>
                          </h3>
                          <div class="progress xs">
                            <div class="progress-bar progress-bar-yellow" style="width: 50%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                              <span class="sr-only">50% Complete</span>
                            </div>
                          </div>
                        </a>
                      </li><!-- end task item -->
                    </ul>
                  </li>
                  <li class="footer">
                    <a href="#">View all tasks</a>
                  </li>
                </ul>
              </li>

              <!-- User Account: style can be found in dropdown.less -->
              <li class="dropdown user user-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <img src="dist/img/user1-128x128.jpg" height="200" width="200" class="user-image" alt="User Image">
                  <span class="hidden-xs">Colin Schwegmann</span>
                </a>
                <ul class="dropdown-menu">
                  <!-- User image -->
                  <li class="user-header">
                    <img src="dist/img/user1-128x128.jpg" class="img-circle" alt="User Image">
                    <p>
                      Colin Schwegmann - PhD Candidate
                      <small>Studying since Jan. 2007</small>
                    </p>
                  </li>
                  <!-- Menu Body -->
<!--                   <li class="user-body">
                    <div class="col-xs-4 text-center">
                      <a href="#">Followers</a>
                    </div>
                    <div class="col-xs-4 text-center">
                      <a href="#">Sales</a>
                    </div>
                    <div class="col-xs-4 text-center">
                      <a href="#">Friends</a>
                    </div>
                  </li> -->
                  <!-- Menu Footer-->
                  <li class="user-footer">
                    <div class="pull-left">
                      <a href="info.html" class="btn btn-default btn-flat">Profile</a>
                    </div>
                    <div class="pull-right">
                      <a href="#" class="btn btn-default btn-flat">Sign out</a>
                    </div>
                  </li>
                </ul>
              </li>
              <!-- Control Sidebar Toggle Button -->
              <li>
                <a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>
              </li>
            </ul>
          </div>
        </nav>
      </header>
      <!-- Left side column. contains the logo and sidebar -->
      <aside class="main-sidebar">
        <!-- sidebar: style can be found in sidebar.less -->
        <section class="sidebar">
          <!-- Sidebar user panel -->
          <div class="user-panel">
            <div class="pull-left image">
              <img src="dist/ships/S1A_00585B_VV_0023.png" height="263" width="263" class="img-circle" alt="User Image">
            </div>
            <div class="pull-left info">
              <p>SAR Ship detection</p>
              <a href="#"><i class="fa fa-circle text-success"></i> Active</a>
            </div>
          </div>
          <!-- search form -->
          <form action="#" method="get" class="sidebar-form">
            <div class="input-group">
              <input type="text" name="q" class="form-control" placeholder="Search...">
              <span class="input-group-btn">
                <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i></button>
              </span>
            </div>
          </form>
          <!-- /.search form -->
          <!-- sidebar menu: : style can be found in sidebar.less -->
          <ul class="sidebar-menu">
            <li class="header">MAIN NAVIGATION</li>
            <li class="active treeview">
            <li>
              <a href="index.html">
                <i class="fa fa-th"></i> <span>Home page</span> <!-- <small class="label pull-right bg-green">new</small> -->
              </a>
            </li>
            <li class="treeview">
              <a href="#">
                <i class="fa fa-map-o"></i>
                <span>Interactive Map</span>
                <i class="fa fa-angle-left pull-right"></i>
                <!-- <span class="label label-primary pull-right">4</span> -->
              </a>
              <ul class="treeview-menu">
                <li><a href="map_dark.html"><i class="fa fa-circle-o"></i> Dark Map</a></li>
                <li><a href="map_light.html"><i class="fa fa-circle-o"></i> Light Map</a></li>
              </ul>
            </li>
            <li class="treeview">
              <a href="#">
                <i class="fa fa-pie-chart"></i>
                <span>Data Analysis</span>
                <i class="fa fa-angle-left pull-right"></i>
              </a>
              <ul class="treeview-menu">
                <li><a href="analysis_sar.html"><i class="fa fa-circle-o"></i> SAR Data</a></li>
                <li><a href="analysis_ais.html"><i class="fa fa-circle-o"></i> AIS Data</a></li>
              </ul>
            </li>
            <li class="header">AUXILIARY</li>
            <li><a href="info.html"><i class="fa fa-info"></i> <span>Information</span></a></li>
          </ul>
        </section>
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            SAR Ship Detection Thesis
            <small>Interactive Map (Dark)</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="index.html"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Interactive Map (Dark)</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class='custom-popup span6' id='map' style="width: 100%; height: 87vh"></div>
            <pre id='output' class='ui-output'></pre>
          </div>
        </section><!-- /.content -->

      </div><!-- /.content-wrapper -->

      <footer class="main-footer">
        <div class="pull-right hidden-xs">
          <b>Synthetic Aperture Radar Thesis Page</b> 0.0.5
        </div>
        <strong>Copyright &copy; 2014-2016 <a href="#">Colin Schwegmann</a>.</strong> All rights reserved.
      </footer>

      <!-- Control Sidebar -->
      <aside class="control-sidebar control-sidebar-dark">
        <!-- Create the tabs -->
        <ul class="nav nav-tabs nav-justified control-sidebar-tabs">
          <li><a href="#control-sidebar-home-tab" data-toggle="tab"><i class="fa fa-home"></i></a></li>
<!--           <li><a href="#control-sidebar-settings-tab" data-toggle="tab"><i class="fa fa-gears"></i></a></li> -->
        </ul>
        <!-- Tab panes -->
        <div class="tab-content">
          <!-- Home tab content -->
          <div class="tab-pane" id="control-sidebar-home-tab">
            <h3 class="control-sidebar-heading">Recent Activity</h3>
            <ul class="control-sidebar-menu">
              <li>
                <a href="javascript::;">
                  <i class="menu-icon fa fa-birthday-cake bg-red"></i>
                  <div class="menu-info">
                    <h4 class="control-sidebar-subheading">Created SAR Thesis site</h4>
                    <p>Still in beta</p>
                  </div>
                </a>
              </li>
              <li>
                <a href="javascript::;">
                  <i class="menu-icon fa fa-user bg-yellow"></i>
                  <div class="menu-info">
                    <h4 class="control-sidebar-subheading">Colin Update Profile</h4>
                    <p>New phone +27797913028</p>
                  </div>
                </a>
              </li>
            </ul><!-- /.control-sidebar-menu -->

            <h3 class="control-sidebar-heading">Tasks Progress</h3>
            <ul class="control-sidebar-menu">
              <li>
                <a href="javascript::;">
                  <h4 class="control-sidebar-subheading">
                    SAR Site Completion
                    <span class="label label-danger pull-right">70%</span>
                  </h4>
                  <div class="progress progress-xxs">
                    <div class="progress-bar progress-bar-danger" style="width: 70%"></div>
                  </div>
                </a>
              </li>
              <li>
                <a href="javascript::;">
                  <h4 class="control-sidebar-subheading">
                    Paper Submissions
                    <span class="label label-success pull-right">66%</span>
                  </h4>
                  <div class="progress progress-xxs">
                    <div class="progress-bar progress-bar-success" style="width: 66%"></div>
                  </div>
                </a>
              </li>
              <li>
                <a href="javascript::;">
                  <h4 class="control-sidebar-subheading">
                    Thesis Paper Submission
                    <span class="label label-warning pull-right">50%</span>
                  </h4>
                  <div class="progress progress-xxs">
                    <div class="progress-bar progress-bar-warning" style="width: 50%"></div>
                  </div>
                </a>
              </li>
            </ul><!-- /.control-sidebar-menu -->

          </div><!-- /.tab-pane -->
          <!-- Stats tab content -->
          <div class="tab-pane" id="control-sidebar-stats-tab">Stats Tab Content</div><!-- /.tab-pane -->
          <!-- Settings tab content -->
          <div class="tab-pane" id="control-sidebar-settings-tab">
            <form method="post">
              <h3 class="control-sidebar-heading">General Settings</h3>
              <div class="form-group">
                <label class="control-sidebar-subheading">
                  Report panel usage
                  <input type="checkbox" class="pull-right" checked>
                </label>
                <p>
                  Some information about this general settings option
                </p>
              </div><!-- /.form-group -->

              <div class="form-group">
                <label class="control-sidebar-subheading">
                  Allow mail redirect
                  <input type="checkbox" class="pull-right" checked>
                </label>
                <p>
                  Other sets of options are available
                </p>
              </div><!-- /.form-group -->

              <div class="form-group">
                <label class="control-sidebar-subheading">
                  Expose author name in posts
                  <input type="checkbox" class="pull-right" checked>
                </label>
                <p>
                  Allow the user to show his name in blog posts
                </p>
              </div><!-- /.form-group -->

              <h3 class="control-sidebar-heading">Chat Settings</h3>

              <div class="form-group">
                <label class="control-sidebar-subheading">
                  Show me as online
                  <input type="checkbox" class="pull-right" checked>
                </label>
              </div><!-- /.form-group -->

              <div class="form-group">
                <label class="control-sidebar-subheading">
                  Turn off notifications
                  <input type="checkbox" class="pull-right">
                </label>
              </div><!-- /.form-group -->

              <div class="form-group">
                <label class="control-sidebar-subheading">
                  Delete chat history
                  <a href="javascript::;" class="text-red pull-right"><i class="fa fa-trash-o"></i></a>
                </label>
              </div><!-- /.form-group -->
            </form>
          </div><!-- /.tab-pane -->
        </div>
      </aside><!-- /.control-sidebar -->
      <!-- Add the sidebar's background. This div must be placed
           immediately after the control sidebar -->
      <div class="control-sidebar-bg"></div>
    </div><!-- ./wrapper -->



    <!-- Modal -->
    <div id="myModal" class="modal fade" role="dialog">
      <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Modal Header</h4>
          </div>
          <div class="modal-body">
            <p>Some text in the modal.</p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div>

      </div>
    </div>

        <!-- Modal -->
    <div id="myModal2" class="modal fade" role="dialog">
      <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Modal Header</h4>
          </div>
          <div class="modal-body">
            <p>Some text in the modal.</p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div>

      </div>
    </div>






    <!-- jQuery 2.1.4 -->
    <script src="plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="https://code.jquery.com/ui/1.11.4/jquery-ui.min.js"></script>
    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
      $.widget.bridge('uibutton', $.ui.button);
    </script>
    <!-- Bootstrap 3.3.5 -->
    <script src="bootstrap/js/bootstrap.min.js"></script>
    <!-- Morris.js charts -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>
    <script src="plugins/morris/morris.min.js"></script>
    <!-- Sparkline -->
    <script src="plugins/sparkline/jquery.sparkline.min.js"></script>
    <!-- jvectormap -->
    <script src="plugins/jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
    <script src="plugins/jvectormap/jquery-jvectormap-world-mill-en.js"></script>
    <!-- jQuery Knob Chart -->
    <script src="plugins/knob/jquery.knob.js"></script>
    <!-- daterangepicker -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.2/moment.min.js"></script>
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <!-- datepicker -->
    <script src="plugins/datepicker/bootstrap-datepicker.js"></script>
    <!-- Bootstrap WYSIHTML5 -->
    <script src="plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js"></script>
    <!-- Slimscroll -->
    <script src="plugins/slimScroll/jquery.slimscroll.min.js"></script>
    <!-- FastClick -->
    <script src="plugins/fastclick/fastclick.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/app.min.js"></script>
    <!-- AdminLTE dashboard demo (This is only for demo purposes) -->
    <script src="dist/js/pages/dashboard.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="dist/js/demo.js"></script>

    <!-- MAPPING -->
    <script src='dist/js/leaflet.js'></script>
    <script src='https://api.mapbox.com/mapbox.js/v2.3.0/mapbox.js'></script>
    <script src='https://api.mapbox.com/mapbox.js/plugins/leaflet-heat/v0.1.3/leaflet-heat.js'></script>
    <script src='https://api.mapbox.com/mapbox.js/plugins/leaflet-markercluster/v0.4.0/leaflet.markercluster.js'></script>
    <script src='dist/js/data.js'></script>
    <script type="text/javascript" src="dist/js/leaflet.ajax.min.js"></script>
    <script type="text/javascript" src="dist/js/styledLayerControl.js"></script>

    <script>
    var style_array = new Array();

    style_array[0] = "mapbox.streets";
    style_array[1] = "mapbox.light";
    style_array[2] = "mapbox.dark";
    style_array[3] = "mapbox.satellite";
    style_array[4] = "mapbox.streets-satellite";
    style_array[5] = "mapbox.wheatpaste";
    style_array[6] = "mapbox.streets-basic";
    style_array[7] = "mapbox.comic";
    style_array[8] = "mapbox.outdoors";
    style_array[9] = "mapbox.run-bike-hike";
    style_array[10] = "mapbox.pencil";
    style_array[11] = "mapbox.pirates";
    style_array[12] = "mapbox.emerald";
    style_array[13] = "mapbox.high-contrast";

    L.mapbox.accessToken = 'pk.eyJ1IjoieGlyaW91cyIsImEiOiJjaWxhanE2eGQwMDBvd2dsejZnNnl2ZHh6In0.EKHbxLp2FUxTPQQ3_r0FwA';
    var map = new L.mapbox.map('map', style_array[2], {
            zoomControl: true,
            'minZoom': 3});
    map.setView([-29.621221, 24.785156], 6);


    addressPoints = addressPoints.map(function (p) { return [p[0], p[1]]; });
    var markers = L.markerClusterGroup({
      disableClusteringAtZoom: 11
    });

    // var geo_json_markers = L.geoJson(geojson,{style: ship_marker_style });

    var geo_json_markers = L.geoJson(geojson_1, {
        pointToLayer: L.mapbox.marker.style,
        onEachFeature: on_each_ship_function,
        style: function(feature) { return feature.properties; }
    });

    function on_each_ship_function(feature, layer){
        
        var container_html = generate_ship_popup(feature.properties);
        
        // Create an element to hold all your text and markup
        var container = $('<div />');

        // Delegate all event handling for the container itself and its contents to the container
        container.on('click', '.close_popup', function() {
            map.closePopup();
        });

        // Delegate all event handling for the container itself and its contents to the container
        container.on('click', '.info_popup', function() {
            $("#myModal").replaceWith(generate_ship_modal(feature.properties));
            $('#myModal').modal('show');
        });        

        // Insert whatever you want into the container, using whichever approach you prefer
        container.html(container_html);
        container = container[0];

        layer.bindPopup(container,{
        closeButton: false,
        minWidth: 320
        });
    }

    function generate_ship_modal(properties)
    {

         // var property = {
         //    "incidenceangle": 33.62989993,
         //    "orientation": 130.57,
         //    "aistype": 70,
         //    "pixelsize": 25,
         //    "minoraxislength": 4.329610077,
         //    "marker-symbol": "ferry",
         //    "aislength": 229,
         //    "polarisation": "HH",
         //    "marker-size": "small",
         //    "aismmsi": 477222200,
         //    "latitude": -36.96122339,
         //    "sensor": "SEN1",
         //    "perimeter": 31.857,
         //    "description": "S1A_00520E_HH_0001",
         //    "marker-color": "#fc4353",
         //    "majoraxislength": 15.26798791,
         //    "aisname": "HB PRINCESS",
         //    "aisimo": "9628922",
         //    "area": 34,
         //    "longitude": 28.09125927,
         //    "title": "Ship Number: 0001",
         //    "fullname": "S1A_EW_GRDH_1SDH_20141006T165117_20141006T165221_002711_00308A_520E.SAFE"
         //    };  
      var ship_image_src = "dist/ships/"+properties.description+".png";
      var satellite = properties.sensor == "SEN1" ? "Sentinel-1" : "RADARSAT-2";   
      var output = `<!-- Modal -->
            <div id="myModal" class="modal fade" role="dialog">
              <div class="modal-dialog">

                <!-- Modal content-->
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">${properties.title}</h4>
                  </div>

                  <div class="modal-body">
                    <div class="row">
                     <span><img class="img-rounded center-block" src="${ship_image_src}" alt="Ship Avatar"></span>    
                    </div> <!-- ./row image -->

                    <div class="row" style="margin-top:5px; margin-left:5px; margin-right:5px; margin-bottom:5px; ">  
                    <ul class="nav nav-pills">
                      <li class="active"><a data-toggle="pill" href="#home">Main Info</a></li>
                      <li><a data-toggle="pill" href="#menu1">SAR Info</a></li>
                      <li><a data-toggle="pill" href="#menu2">AIS Info</a></li>
                    </ul>
                    </div> <!-- ./row pill -->

                    <div class="tab-content">
                      <div id="home" class="tab-pane fade in active">
                        <h3>Main Information</h3>
                        <div class="row" style="margin-top:5px; margin-left:5px; margin-right:5px; margin-bottom:5px;">
                        <table class="table table-striped">
                          <thead>
                            <tr>
                              <th>#</th>
                              <th>Propertie</th>
                              <th>Value</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr>
                              <th scope="row">1</th>
                              <td>Dataset ID</td>
                              <td>${properties.description}</td>
                            </tr>
                            <tr>
                              <th scope="row">2</th>
                              <td>Satellite</td>
                              <td>${satellite}</td>
                            </tr>
                            <tr>
                              <th scope="row">3</th>
                              <td>Longitude</td>
                              <td>${properties.longitude}</td>
                            </tr>
                            <tr>
                              <th scope="row">4</th>
                              <td>Latitude</td>
                              <td>${properties.latitude}</td>
                            </tr>
                            <tr>
                              <th scope="row">5</th>
                              <td>Polarisation</td>
                              <td>${properties.polarisation}</td>
                            </tr>
                            <tr>
                              <th scope="row">6</th>
                              <td>Incidence Angle (&deg;)</td>
                              <td>${properties.incidenceangle}</td>
                            </tr>
                          </tbody>
                        </table>
                        </div> <!-- ./row table -->
                      </div> <!-- ./tab main -->
                        
                      <div id="menu1" class="tab-pane fade">
                       <h3>SAR Pixel-based Information</h3>
                       <div class="row" style="margin-top:5px; margin-left:5px; margin-right:5px; margin-bottom:5px;">
                       <table class="table table-striped">
                         <thead>
                           <tr>
                             <th>#</th>
                             <th>Propertie</th>
                             <th>Value</th>
                           </tr>
                         </thead>
                         <tbody>
                           <tr>
                             <th scope="row">1</th>
                             <td>Estimated Orientation (&deg;)</td>
                             <td>${properties.orientation}</td>
                           </tr> 
                           <tr>
                             <th scope="row">2</th>
                             <td>Estimated Length (pixels)</td>
                             <td>${properties.majoraxislength}</td>
                           </tr>
                           <tr>
                             <th scope="row">3</th>
                             <td>Estimated Width (pixels)</td>
                             <td>${properties.minoraxislength}</td>
                           </tr>
                           <tr>
                             <th scope="row">4</th>
                             <td>Estimated Area (pixels)</td>
                             <td>${properties.area}</td>
                           </tr>
                           <tr>
                             <th scope="row">5</th>
                             <td>Estimated Perimeter</td>
                             <td>${properties.perimeter}</td>
                           </tr>
                           <tr>
                             <th scope="row">6</th>
                             <td>Pixel size (m)</td>
                             <td>${properties.pixelsize}</td>
                           </tr>
                         </tbody>
                       </table>
                       </div> <!-- ./div table -->
                      </div> <!-- ./tab SAR -->
 
                      <div id="menu2" class="tab-pane fade">
                        <h3>AIS Information</h3>
                        <div class="row" style="margin-top:5px; margin-left:5px; margin-right:5px; margin-bottom:5px;">
                        <table class="table table-striped">
                          <thead>
                            <tr>
                              <th>#</th>
                              <th>Propertie</th>
                              <th>Value</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr>
                              <th scope="row">1</th>
                              <td>AIS Name</td>
                              <td>${properties.aisname == "none" ? "None" : properties.aisname}</td>
                            </tr> 
                            <tr>
                              <th scope="row">2</th>
                              <td>AIS IMO Number</td>
                              <td>${properties.aisimo == "none" ? "None" : properties.aisimo}</td>
                            </tr>
                            <tr>
                              <th scope="row">3</th>
                              <td>AIS MMSI Number</td>
                              <td>${properties.aismmsi == "none" ? "None" : properties.aismmsi}</td>
                            </tr>
                            <tr>
                              <th scope="row">4</th>
                              <td>AIS Type</td>
                              <td>${properties.aistype == "none" ? "None" : properties.aistype}</td>
                            </tr>
                            <tr>
                              <th scope="row">5</th>
                              <td>AIS Length (m)</td>
                              <td>${properties.aislength == "none" ? "None" : properties.aislength}</td>
                            </tr>
                          </tbody>
                        </table>  
                        </div> <!-- ./div table -->    
                      </div><!-- ./tab AIS -->
                    </div><!-- ./tab-content -->
                  
                  </div> <!-- ./modal-body -->

                  <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                  </div>
                </div>

              </div>
            </div>`;
      return output;
    }

    function generate_sar_modal(properties)
    {

      var satellite = properties.name.substring(0,3) == "S1A" ? "Sentinel-1" : "RADARSAT-2";
      var sar_image = 'dist/sar/' + properties.name;
      var sar_res = '';
      var sar_pol = ''
      var sar_date = '';
      var sar_time = '';
      if (properties.name.substring(0,3) == "RS2")
      {
        //RS2_OK57807_PK542248_DK479905_SCNA_20141005_040654_HH_SGF
        sar_image += '.imageryGeorefHH.png';
        sar_res = 'SCNA [25m x 25m]';
        sar_pol = 'VV';
        var sar_split = properties.name.split("_");
        sar_date = sar_split[5];
        sar_time = sar_split[6];
      }
      else
      {
        //S1A_EW_GRDH_1SDH_20141006T165117_20141006T165221_002711_00308A_520E.SAFE
        sar_res = properties.name.indexOf("GRDM") > -1 ? "GRDM [40m x 40m]" : "GRDH [25m x 25m]";
        var sar_split = properties.name.split("_");
        sar_split = sar_split[4].split("T");
        sar_date = sar_split[0];
        sar_time = sar_split[1];

        if(properties.name.indexOf("SDH") > -1)
        {
          sar_image += '.imageryGeorefHH.png';
          sar_pol = 'HH,HV';
        }
        else if(properties.name.indexOf("SDV") > -1)
        {
          sar_image += '.imageryGeorefVV.png';
          sar_pol = 'VV,VH';
        }
        else if(properties.name.indexOf("SSV") > -1)
        {
          sar_image += '.imageryGeorefVV.png';
          sar_pol = 'VV';
        }
        else
        {
          sar_image += '.imageryGeorefHH.png';
          sar_pol = 'HH';
        }

      }

 
      var output = `<!-- Modal -->
            <div id="myModal2" class="modal fade" role="dialog">
              <div class="modal-dialog">

                <!-- Modal content-->
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h5 class="modal-title" style="word-wrap:break-word;">${properties.name}</h5>
                  </div>

                  <div class="modal-body">
                    <div class="row">
                     <span><img class="img-rounded center-block" src="${sar_image}" alt="Ship Avatar" style="max-width:370px;"></span>    
                    </div> <!-- ./row image -->

                    <div class="row" style="margin-top:5px; margin-left:5px; margin-right:5px; margin-bottom:5px; ">  
                    <ul class="nav nav-pills">
                      <li class="active"><a data-toggle="pill" href="#home">Main Info</a></li>
                      <li><a data-toggle="pill" href="#menu1">Additional Info</a></li>
                    </ul>
                    </div> <!-- ./row pill -->

                    <div class="tab-content">
                      <div id="home" class="tab-pane fade in active">
                        <h3>Main Information</h3>
                        <div class="row" style="margin-top:5px; margin-left:5px; margin-right:5px; margin-bottom:5px;">
                        <table class="table table-striped" style="word-wrap:break-word;">
                          <thead>
                            <tr>
                              <th>#</th>
                              <th>Propertie</th>
                              <th>Value</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr>
                              <th scope="row">1</th>
                              <td style="word-wrap: break-word;min-width: 160px;max-width: 160px;">Dataset ID</td>
                              <td style="word-wrap: break-word;min-width: 160px;max-width: 160px;">${properties.name}</td>
                            </tr>
                            <tr>
                              <th scope="row">2</th>
                              <td>Satellite</td>
                              <td>${satellite}</td>
                            </tr>
                            <tr>
                              <th scope="row">3</th>
                              <td>Resolution (Pixel Spacing [rg x az])</td>
                              <td>${sar_res}</td>
                            </tr>
                            <tr>
                              <th scope="row">4</th>
                              <td>Polarisations</td>
                              <td>${sar_pol}</td>
                            </tr>
                            <tr>
                              <th scope="row">5</th>
                              <td>Date of Acquistion</td>
                              <td>${sar_date}</td>
                            </tr>
                            <tr>
                              <th scope="row">6</th>
                              <td>Time of Acquistion</td>
                              <td>${sar_time}</td>
                            </tr>
                          </tbody>
                        </table>
                        </div> <!-- ./row table -->
                      </div> <!-- ./tab main -->
                        
                      <div id="menu1" class="tab-pane fade">
                       <h3>Additional Information</h3>
                       <div class="row" style="margin-top:5px; margin-left:5px; margin-right:5px; margin-bottom:5px;">
                       <table class="table table-striped">
                         <thead>
                           <tr>
                             <th>#</th>
                             <th>Propertie</th>
                             <th>Value</th>
                           </tr>
                         </thead>
                         <tbody>
                           <tr>
                             <th scope="row">1</th>
                             <td>Value 1</td>
                             <td>35</td>
                           </tr> 
                         </tbody>
                       </table>
                       </div> <!-- ./div table -->
                      </div> <!-- ./tab Additional -->
                    </div><!-- ./tab-content -->
                  
                  </div> <!-- ./modal-body -->

                  <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                  </div>
                </div>

              </div>
            </div>`;
      return output;
    }

    function generate_ship_popup(properties)
    {     
      var ship_image_src = "dist/ships/"+properties.description+".png";
      var satellite = properties.sensor == "SEN1" ? "Sentinel-1" : "RADARSAT-2";
      var aisdata = properties.aisimo == "none" ? "None" : "Yes, see info";

      var output = `<!-- Apply any bg-* class to to the info-box to color it -->
        <div class="info-box bg-aqua-active">
          <div class="box-tools pull-right">
           <button class="btn bg-aqua-active btn-sm info_popup " id="info_popup"><i class="fa fa-info"></i></button>
           <button class="btn bg-aqua-active btn-sm close_popup" id="close_popup"><i class="fa fa-times"></i></button>
          </div>
          <span class="info-box-icon"><img class="img-rounded" src="${ship_image_src}" alt="Ship Avatar"></span>
          <div class="info-box-content">
            <span class="info-box-text">${satellite}</span>
            <span class="info-box-number">${properties.description}</span>
            <!-- The progress section is optional -->
            <div class="progress">
              <div class="progress-bar" style="width: 100%"></div>
            </div>
            <span class="progress-description">
              AIS Data: ${aisdata}
            </span>
          

          </div><!-- /.info-box-content -->
        </div><!-- /.info-box -->`;

      return output;
    }

    function generate_sar_popup(properties)
    {

      var satellite = properties.name.substring(0,3) == "S1A" ? "Sentinel-1" : "RADARSAT-2";
      var sar_image = 'dist/sar/' + properties.name;
      if (properties.name.substring(0,3) == "RS2")
      {
        sar_image += '.imageryGeorefHH.png';
      }
      else
      {
        if(properties.name.indexOf("SDH") > -1)
        {
          sar_image += '.imageryGeorefHH.png';
        }
        else if(properties.name.indexOf("SDV") > -1)
        {
          sar_image += '.imageryGeorefVV.png';  
        }
        else if(properties.name.indexOf("SSV") > -1)
        {
          sar_image += '.imageryGeorefVV.png'; 
        }
        else
        {
          sar_image += '.imageryGeorefHH.png';
        }

      }
  
      var output = `<!-- Apply any bg-* class to to the info-box to color it -->
        <div class="info-box bg-aqua-active">
          <div class="box-tools pull-right">
           <button class="btn bg-aqua-active btn-sm info_popup_2" id="info_popup_2"><i class="fa fa-info"></i></button>
           <button class="btn bg-aqua-active btn-sm close_popup_2" id="close_popup_2"><i class="fa fa-times"></i></button>
          </div>
          <span class="info-box-icon"><img class="img-rounded" src="${sar_image}" alt="Ship Avatar"></span>
          <div class="info-box-content">
            <span class="info-box-text">${properties.name}</span>
            <span class="info-box-number">${satellite}</span>
            <!-- The progress section is optional -->
            <div class="progress">
              <div class="progress-bar" style="width: 100%"></div>
            </div>
            <span class="progress-description">
              See information for more details.
            </span>
          

          </div><!-- /.info-box-content -->
        </div><!-- /.info-box -->`;

      return output;
    }

    function on_each_sar_function(feature, layer) {

      var container_html = generate_sar_popup(feature.properties);
      
      // Create an element to hold all your text and markup
      var container = $('<div />');

      // Delegate all event handling for the container itself and its contents to the container
      container.on('click', '.close_popup_2', function() {
          map.closePopup();
      });

      // Delegate all event handling for the container itself and its contents to the container
      container.on('click', '.info_popup_2', function() {
          $("#myModal2").replaceWith(generate_sar_modal(feature.properties));
          $('#myModal2').modal('show');
      });        

      // Insert whatever you want into the container, using whichever approach you prefer
      container.html(container_html);
      container = container[0];

      layer.bindPopup(container,{
      closeButton: false,
      minWidth: 350
      });

    }

    var output = document.getElementById('output');

    // Initialize the geocoder control and add it to the map.
    var geocoderControl = L.mapbox.geocoderControl('mapbox.places');
    geocoderControl.addTo(map);

    // Listen for the `found` result and display the first result
    // in the output container. For all available events, see
    // https://www.mapbox.com/mapbox.js/api/v2.4.0/l-mapbox-geocodercontrol/#section-geocodercontrol-on
    geocoderControl.on('found', function(res) {
        output.innerHTML = JSON.stringify(res.results.features[0]);
    });

    ships_layer = markers.addLayer(geo_json_markers).addTo(map);

    sar_layer = new L.GeoJSON.AJAX("dist/data/all_sar.geojson",{
             style: function(feature) {
                    switch (feature.properties.name.substring(0, 3)) {
                    case 'S1A': return {"color": "#ff7800","weight": 5, "opacity": 0.65};
                    case 'RS2': return {"color": "#0078ff","weight": 5, "opacity": 0.65};
                  }
            },
            onEachFeature: on_each_sar_function});

    heat_layer = L.heatLayer(addressPoints, 
                        {
                        minOpacity: 0.35,
                        maxZoom: 18,
                        minZoom: 1,
                        max: 0.1,
                        radius: 5,
                        blur: 1,
                        gradient: {"0.0": "#313695", "0.0909": "#4575B4", "0.2727": "#74ADD1", "0.3636": "#ABD9E9", "0.4545": "#E0F3F8", "0.5455": "#FFFFBF", "0.6364": "#FEE090", "0.7273": "#FDAE61", "0.8182": "#F46D43", "0.9091": "#D73027", "1.0": "#A50026"}
                        });

     var baseMaps = [
                    { 
                        groupName : "Mapbox base maps",
                        expanded : false,
                        layers    : {
                        "mapbox.streets": L.mapbox.tileLayer(style_array[0]),
                        "mapbox.light": L.mapbox.tileLayer(style_array[1]),
                        "mapbox.dark (default)": L.mapbox.tileLayer(style_array[2]),
                        "mapbox.satellite": L.mapbox.tileLayer(style_array[3]),
                        "mapbox.streets-satellite": L.mapbox.tileLayer(style_array[4]),
                        "mapbox.wheatpaste": L.mapbox.tileLayer(style_array[5]),
                        "mapbox.streets-basic": L.mapbox.tileLayer(style_array[6]),
                        "mapbox.comic": L.mapbox.tileLayer(style_array[7]),
                        "mapbox.outdoors": L.mapbox.tileLayer(style_array[8]),
                        "mapbox.run-bike-hike": L.mapbox.tileLayer(style_array[9]),
                        "mapbox.pencil": L.mapbox.tileLayer(style_array[10]),
                        "mapbox.pirates": L.mapbox.tileLayer(style_array[11]),
                        "mapbox.emerald": L.mapbox.tileLayer(style_array[12]),
                        "mapbox.high-contrast": L.mapbox.tileLayer(style_array[13])
                        }
                    }                          
    ];

    var overlays = [
                     {
                        groupName : "SAR data",
                        expanded  : true,
                        layers    : { 
                            "SAR images" : sar_layer,
                            "Ships"     :  ships_layer,
                            "Heatmap": heat_layer
                        }   
                     }                           
    ];

    var options = {
        container_width     : "200px",
        container_maxHeight : "200px", 
        group_maxHeight     : "80px",
        exclusive           : false
    };

    var control = L.Control.styledLayerControl(baseMaps, overlays, options);
    map.addControl(control);    

    // L.control.layers({
    //     'Ships': ships_layer,
    //     'SAR Images': sar_layer,
    //     'Heat Layer': heat_layer 
    // }).addTo(map);


    

  </script>


  </body>
</html>
